Index: /extensions/floPure/about.tpl
===================================================================
--- /extensions/floPure/about.tpl	(revision 3473)
+++ /extensions/floPure/about.tpl	(revision 3474)
@@ -3,5 +3,9 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li> <a href="{$U_HOME}" title="{'return to homepage'|@translate}"> <img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}"/> </a> </li>
+      <li>
+        <a href="{$U_HOME}" title="{'return to homepage'|@translate}">
+          <img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}"/>
+        </a>
+      </li>
     </ul>
     <h2>{'About'|@translate}</h2>
Index: /extensions/floPure/comment_list.tpl
===================================================================
--- /extensions/floPure/comment_list.tpl	(revision 3473)
+++ /extensions/floPure/comment_list.tpl	(revision 3474)
@@ -1,7 +1,6 @@
-{* $Id$ *}
 <ul class="thumbnailCategories">
-{foreach from=$comments item=comment}
+{foreach from=$comments item=comment name=comment_loop}
 <li>
-	<div class="thumbnailCategory">
+	<div class="thumbnailCategory {if $smarty.foreach.comment_loop.index is odd}odd{else}even{/if}">
     {if isset($comment.TN_SRC)}
     <div class="illustration">
Index: /extensions/floPure/comments.tpl
===================================================================
--- /extensions/floPure/comments.tpl	(revision 3473)
+++ /extensions/floPure/comments.tpl	(revision 3474)
@@ -1,3 +1,2 @@
-{* $Id: comments.tpl 2352 2008-05-20 00:27:26Z patdenice $ *}
 <div id="content" class="content">
 
Index: /extensions/floPure/content.css
===================================================================
--- /extensions/floPure/content.css	(revision 3473)
+++ /extensions/floPure/content.css	(revision 3474)
@@ -159,10 +159,14 @@
 
 TD.calDayCellFull, TD.calDayCellEmpty, TD.calDayCellBlank {
-  text-align:left;
-  vertical-align: top;
-  font: bold 18px Arial, Helvetica, sans-serif;
-}
-
-TD.calDayHead { font: bold 12px Arial, Helvetica, sans-serif; }
+	vertical-align: top;
+  font-weight: bold;
+  font-size: 18px;
+}
+
+TD.calDayHead {
+  font-weight: bold;
+  font-size: 12px;
+	text-align: center;
+}
 
 DIV.calImg {
Index: /extensions/floPure/default-colors.css
===================================================================
--- /extensions/floPure/default-colors.css	(revision 3473)
+++ /extensions/floPure/default-colors.css	(revision 3474)
@@ -1,3 +1,2 @@
-/* $Id: default-colors.css 2352 2008-05-20 00:27:26Z patdenice $ */
 
 /* others
@@ -48,14 +47,13 @@
 
 .errors { /* Errors display */
-  color: red;
-  background-color: #ffe1e1;
-  font-weight: bold;
-  text-align: left;
-  margin: 5px;
-  border: 1px solid red;
-  background-image: url(icon/admin/errors.png);
-  background-repeat: no-repeat;
-  background-position: top right;
-  padding: 10px 50px 10px 10px;
+	color: red;
+	background-color: #ffe1e1;
+	font-weight: bold;
+	margin: 5px;
+	border: 1px solid red;
+	background-image: url(icon/admin/errors.png);
+	background-repeat: no-repeat;
+	background-position: top right;
+	padding: 10px 50px 10px 10px;
 }
 
@@ -64,5 +62,4 @@
  */
 .infos {
-  text-align: left;
   color: #002000;
   background-color: #98fb98; /* palegreen */
Index: /extensions/floPure/default-layout.css
===================================================================
--- /extensions/floPure/default-layout.css	(revision 3473)
+++ /extensions/floPure/default-layout.css	(revision 3474)
@@ -1,3 +1,2 @@
-/* $Id: default-layout.css 2396 2008-06-23 23:40:55Z rvelices $ */
 @import "admin/default-layout.css";
 BODY {
@@ -6,10 +5,6 @@
   font-size: 0.8em;
   font-family:  Univers, Helvetica, Optima, "Bitstream Vera Sans", sans-serif;
-  text-align: center; /* be nice to IE5 */
-}
-
-#the_page {
-	/* Just in case another template needs an inner frame */
-}
+}
+
 
 H1 {
@@ -66,10 +61,16 @@
 
 .wrap2 .icon { float:right; }
+
 /* for debugging purpose */
+
 PRE { text-align:left; }
 
+TABLE {	/* horizontaly centered */
+	margin-left: auto;
+	margin-right: auto;
+}
 /** forms **/
 
-FORM { padding: 0em; }
+FORM { padding: 0; margin: 0; }
 
 FORM P {
@@ -83,5 +84,5 @@
 	margin-bottom: 0;
 }
-
+/*
 .small {
 	font-size: 80%;
@@ -93,16 +94,17 @@
   overflow: auto;
 }
-
+*/
 SELECT.categoryList {
-  height: 20em;
-  width: auto;
-}
-
+	height: 20em;
+	width: 500px;
+}
+
+/*
 DIV.comment BLOCKQUOTE {
   padding: 0.5em;
-  overflow: auto;	/* no solution for IE6 */
-  min-height: 2.75em;	/* fix a Gecko bug whith scrollbar and 1 line only */
-}
-
+  overflow: auto;	
+  min-height: 2.75em;
+}
+*/
 
 /**
@@ -238,8 +240,7 @@
 }
 
-#fullTagCloud LI {
-  display: inline;
-  white-space: nowrap;
-  margin: 0 2px;
+#fullTagCloud SPAN {
+	white-space: nowrap;
+	margin: 0 2px;
 }
 
@@ -256,4 +257,6 @@
   display: none;
 }
+
+#theNotificationPage p { padding: 0.5em; }
 
 BODY#thePopuphelpPage .content P {
@@ -305,4 +308,15 @@
   border-collapse : collapse;
 }
+
+#theHeader {text-align: center;}
+
+#theNotificationPage DL,
+#thePopuphelpPage DL { margin: 0 25px 25px; }
+.content #comments UL.thumbnailCategories LI { width:99%; }
+/* jQuery datepicker */
+IMG.ui-datepicker-trigger {
+	cursor : pointer;
+}
+
 /*--------menu--------------*/
 #table_content, .table_menu, #table_mbLinks, #table_mbCategories, #table_mbTags, #table_mbSpecials, #table_mbMenu, #table_mbIdentification {
Index: /extensions/floPure/fix-ie5-ie6.css
===================================================================
--- /extensions/floPure/fix-ie5-ie6.css	(revision 3473)
+++ /extensions/floPure/fix-ie5-ie6.css	(revision 3474)
@@ -1,6 +1,26 @@
-/* $Id: fix-ie5-ie6.css 2356 2008-05-23 10:15:48Z rvelices $ */
-/* Issues in IE from 5 to 6 only not to be used with IE7                      */
+/* $Id: fix-ie5-ie6.css 2648 2008-10-03 23:48:03Z rvelices $ */
+/* Issues in IE from 5 to 6 only not to be used with IE7 */
 
-@import "thumbnails-fix-ie5-ie6.css";
+/* fix IE with another layout for thumbnails */
+.content UL.thumbnails SPAN.wrap2 {
+  display: block;
+  position: relative;
+  text-align: left;
+}
+.content UL.thumbnails SPAN.wrap2 A,
+.content UL.thumbnails SPAN.wrap2 SPAN {
+  overflow: visible;
+  position: absolute;
+  top: 50%;
+  text-align: center;
+}
+
+.content UL.thumbnails IMG.thumbnail {
+  position: relative;
+  top: -50%;
+  /*\*//*/
+    margin-top: -40%;
+  /**/
+}
 
 /* to avoid vanishing objects in IE6 */
Index: /extensions/floPure/fix-khtml.css
===================================================================
--- /extensions/floPure/fix-khtml.css	(revision 3473)
+++ /extensions/floPure/fix-khtml.css	(revision 3474)
@@ -12,9 +12,6 @@
 }
 
-#menubar #menuTagCloud LI
+#menubar #menuTagCloud SPAN
 {
   display: inline-block;/* required for Safari 3.1 - otherwise overflows on the right */
 }
-
-/* end Safari/Konqueror */
-
Index: /extensions/floPure/footer.tpl
===================================================================
--- /extensions/floPure/footer.tpl	(revision 3473)
+++ /extensions/floPure/footer.tpl	(revision 3474)
@@ -1,36 +1,28 @@
 {* $Id: footer.tpl 2381 2008-06-01 19:19:46Z vdigital $ *}
-<div id="copyright">
- <a name="EoP"></a> <!-- End of Page -->
- {if isset($debug.TIME) }
- {'generation_time'|@translate} {$debug.TIME} ({$debug.NB_QUERIES} {'sql_queries_in'|@translate} {$debug.SQL_TIME}) -
- {/if}
-
- {* Please, do not remove this copyright. If you really want to,
-      contact us on http://piwigo.org to find a solution on how
-      to show the origin of the script...
+<div id="copyright"> <a name="EoP"></a>
+  <!-- End of Page -->
+  {if isset($debug.TIME) }
+  {'generation_time'|@translate} {$debug.TIME} ({$debug.NB_QUERIES} {'sql_queries_in'|@translate} {$debug.SQL_TIME}) -
+  {/if}
+  
+  {* Please, do not remove this copyright. If you really want to,
+  contact us on http://piwigo.org to find a solution on how
+  to show the origin of the script...
   *}
-
-  {'powered_by'|@translate}
-  <a href="http://piwigo.org" class="Piwigo">
-  <span class="Piwigo">Piwigo</span></a>
-  {$VERSION}
+  
+  {'powered_by'|@translate} <a href="{$PHPWG_URL}" class="Piwigo"> <span class="Piwigo">Piwigo</span></a> {$VERSION}
   {if isset($CONTACT_MAIL)}
-  - 
-  <a href="http://flop25.free.fr">Flop25 Style</a>
-  - 
-  <a href="http://tango.freedesktop.org/Tango_Desktop_Project">Tango Icon</a>
-  - {'send_mail'|@translate}
-  <a href="mailto:{$CONTACT_MAIL}?subject={'title_send_mail'|@translate|@escape:url}">{'Webmaster'|@translate}</a>
-  {/if}
-
-</div> <!-- copyright -->
-{if isset($footer_elements)}
-{foreach from=$footer_elements item=v}
-{$v}
-{/foreach}
+  - <a href="http://flop25.free.fr">Flop25 Style</a> - <a href="http://tango.freedesktop.org/Tango_Desktop_Project">Tango Icon</a> - {'send_mail'|@translate} <a href="mailto:{$CONTACT_MAIL}?subject={'title_send_mail'|@translate|@escape:url}">{'Webmaster'|@translate}</a> {/if}
+  
+  {if isset($footer_elements)}
+  {foreach from=$footer_elements item=v}
+  {$v}
+  {/foreach}
+  {/if} </div>
+<!-- the_page -->
+{if isset($debug.QUERIES_LIST)}
+<div id="debug"> {$debug.QUERIES_LIST} </div>
 {/if}
-</div> <!-- the_page -->
-
-{if isset($debug.QUERIES_LIST)}{$debug.QUERIES_LIST}{/if}
-</body>
-</html>
+</div>
+<!-- copyright -->
+</body></html>
Index: /extensions/floPure/header.tpl
===================================================================
--- /extensions/floPure/header.tpl	(revision 3473)
+++ /extensions/floPure/header.tpl	(revision 3474)
@@ -1,10 +1,25 @@
-{* $Id: header.tpl 2381 2008-06-01 19:19:46Z vdigital $ *}
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
-"http://www.w3.org/TR/html4/strict.dtd">
-<html lang="{$LANG}" dir="{$DIR}">
+{* $Id: header.tpl $ *}
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html lang="{$lang_info.code}" dir="{$lang_info.direction}">
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset={$CONTENT_ENCODING}">
 <meta name="generator" content="Piwigo (aka PWG), see piwigo.org">
-<title>{$GALLERY_TITLE} :: {$PAGE_TITLE}</title>
+{if isset($meta_ref) } 
+{if isset($INFO_AUTHOR)}
+<meta name="author" content="{$INFO_AUTHOR|@replace:'"':' '}">
+{/if}
+{if isset($related_tags)}
+<meta name="keywords" content="{foreach from=$related_tags item=tag name=tag_loop}{if !$smarty.foreach.tag_loop.first}, {/if}{$tag.name}{/foreach}">
+{/if}
+{if isset($COMMENT_IMG)}
+<meta name="description" content="{$COMMENT_IMG|@strip_tags:false|@replace:'"':' '}{if isset($INFO_FILE)} - {$INFO_FILE}{/if}">
+{else}
+<meta name="description" content="{$PAGE_TITLE}{if isset($INFO_FILE)} - {$INFO_FILE}{/if}">
+{/if}
+{/if}
+
+{if (isset($REVERSE) and $REVERSE and $PAGE_TITLE == l10n('home'))}
+<title>{$GALLERY_TITLE} | {$PAGE_TITLE}</title>{else}
+<title>{$PAGE_TITLE} | {$GALLERY_TITLE}</title>{/if}
 <link rel="shortcut icon" type="image/x-icon" href="{$ROOT_URL}template-common/favicon.ico">
 
@@ -23,5 +38,5 @@
 	<link rel="stylesheet" type="text/css" href="{$ROOT_URL}template/{$themeconf.template}/fix-ie5-ie6.css">
 <![endif]-->
-<!--[if gt IE 6]>
+<!--[if IE 7]>
 	<link rel="stylesheet" type="text/css" href="{$ROOT_URL}template/{$themeconf.template}/fix-ie7.css">
 <![endif]-->
@@ -30,5 +45,4 @@
 <!--> <![endif]-->
 <link rel="stylesheet" type="text/css" media="print" href="{$ROOT_URL}template/{$themeconf.template}/print.css">
-<link rel="stylesheet" type="text/css" href="{$ROOT_URL}template/{$themeconf.template}/default-colors.css">
 <link rel="stylesheet" type="text/css" href="{$ROOT_URL}template/{$themeconf.template}/theme/{$themeconf.theme}/theme.css">
 {$themeconf.local_head}
@@ -51,5 +65,6 @@
 
 {if not empty($head_elements)}
-	{foreach from=$head_elements item=elt}{$elt}{/foreach}
+	{foreach from=$head_elements item=elt}{$elt}
+	{/foreach}
 {/if}
 
@@ -62,5 +77,5 @@
 <div class="header_msgs">
 	{foreach from=$header_msgs item=elt}
-	<p>{$elt}</p>
+	{$elt}<br />
 	{/foreach}
 </div>
@@ -68,10 +83,5 @@
 
 <div id="theHeader">{$PAGE_BANNER}</div>
-{if isset($pwgmenu)}
-<ul class="pwgmenu">
-  <li><a href="{$pwgmenu.WIKI}" onclick="window.open(this.href, ''); return false;"><span class="bg">{'WIKI / DOC'|@translate}</span></a></li>
-  <li><a href="{$pwgmenu.FORUM}" onclick="window.open(this.href, ''); return false;"><span class="bg">{'FORUM'|@translate}</span></a></li>
-</ul>   
-{/if}
+{if isset($theSwiftHeader)}{$theSwiftHeader}{/if}
 {if not empty($header_notes)}
 <div class="header_notes">
Index: /extensions/floPure/identification.tpl
===================================================================
--- /extensions/floPure/identification.tpl	(revision 3473)
+++ /extensions/floPure/identification.tpl	(revision 3474)
@@ -57,4 +57,10 @@
 
   <p><input class="submit" tabindex="4" type="submit" name="login" value="{'Submit'|@translate}"></p>
+  <p>
+    {if isset($U_REGISTER) }
+    <a href="{$U_REGISTER}" title="{'Create a new account'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/register.png" class="button" alt="{'Register'|@translate}"> {'Register'|@translate}</a>
+    {/if}
+    <a href="{$U_LOST_PASSWORD}" title="{'Forgot your password?'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/lost_password.png" class="button" alt="{'Forgot your password?'|@translate}"> {'Forgot your password?'|@translate}</a>
+  </p>
 </form>
 
@@ -63,10 +69,4 @@
 //--></script>
 
-  <p>
-    {if isset($U_REGISTER) }
-    <a href="{$U_REGISTER}" title="{'Create a new account'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/register.png" class="button" alt="{'Register'|@translate}"> {'Register'|@translate}</a>
-    {/if}
-    <a href="{$U_LOST_PASSWORD}" title="{'Forgot your password?'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/lost_password.png" class="button" alt="{'Forgot your password?'|@translate}"> {'Forgot your password?'|@translate}</a>
-  </p>
 </div>
 </div> <!-- content -->
Index: /extensions/floPure/index.tpl
===================================================================
--- /extensions/floPure/index.tpl	(revision 3473)
+++ /extensions/floPure/index.tpl	(revision 3474)
@@ -12,117 +12,116 @@
       <td id="section_left">&nbsp;</td>
       <td id="section_in">
-		<div class="titrePage">
-		<ul class="categoryActions">
-		  {if isset($U_CADDIE) }
-		  <li><a href="{$U_CADDIE}" title="{'add to caddie'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/caddie_add.png" class="button" alt="{'caddie'|@translate}"/></a></li>
-		  {/if}
-	
-		  {if isset($U_EDIT) }
-		  <li><a href="{$U_EDIT}" title="{'edit category informations'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/category_edit.png" class="button" alt="{'edit'|@translate}"/></a></li>
-		  {/if}
-	
-		  {if isset($U_SEARCH_RULES) }
-		  <li><a href="{$U_SEARCH_RULES}" style="border:none;" onclick="popuphelp(this.href); return false;" title="{'Search rules'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/search_rules.png" class="button" alt="(?)"></a></li>
-		  {/if}
-	
-		  <li>&nbsp;</li>
-		  {if !empty($image_orders) }
-		  <li>
-		  {'Sort order'|@translate}:
-		  <select onchange="document.location = this.options[this.selectedIndex].value;">
-			{foreach from=$image_orders item=image_order }
-			<option value="{$image_order.URL}"{if $image_order.SELECTED} selected="selected"{/if}>{$image_order.DISPLAY}</option>
-			{/foreach}
-		  </select>
-		  </li>
-		  {/if}
-	
-		  {if isset($U_SLIDESHOW) }
-		  <li><a href="{$U_SLIDESHOW}" title="{'slideshow'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/start_slideshow.png" class="button" alt="{'slideshow'|@translate}"/></a></li>
-		  {/if}
-	
-		  {if isset($U_MODE_FLAT) }
-		  <li><a href="{$U_MODE_FLAT}" title="{'mode_flat_hint'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/flat.png" class="button" alt="{'mode_flat_hint'|@translate}"></a></li>
-		  {/if}
-	
-		  {if isset($U_MODE_NORMAL) }
-		  <li><a href="{$U_MODE_NORMAL}" title="{'mode_normal_hint'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/normal_mode.png" class="button" alt="{'mode_normal_hint'|@translate}"></a></li>
-		  {/if}
-	
-		  {if isset($U_MODE_POSTED) }
-		  <li><a href="{$U_MODE_POSTED}" title="{'mode_posted_hint'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/calendar.png" class="button" alt="{'mode_posted_hint'|@translate}"></a></li>
-		  {/if}
-		  
-		  {if isset($U_MODE_CREATED) }
-		  <li><a href="{$U_MODE_CREATED}" title="{'mode_created_hint'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/calendar_created.png" class="button" alt="{'mode_created_hint'|@translate}"></a></li>
-		  {/if}
-		  <li>&nbsp;</li>
-		  {if !empty($PLUGIN_INDEX_ACTIONS)}{$PLUGIN_INDEX_ACTIONS}{/if}
-		</ul>
-	
-		  <h2>{$TITLE}</h2>
-		
-		  {if isset($chronology_views) }
-		  <div class="calendarViews">{'calendar_view'|@translate}:
-			<select onchange="document.location = this.options[this.selectedIndex].value;">
-			  {foreach from=$chronology_views item=view}
-			  <option value="{$view.VALUE}"{if $view.SELECTED} selected="selected"{/if}>{$view.CONTENT}</option>
-			  {/foreach}
-			</select>
-		  </div>
-		  {/if}
-		
-		  {if isset($chronology.TITLE) }
-		  <h2>{$chronology.TITLE}</h2>
-		  {/if}
-		
-		  </div> <!-- titrePage -->
-		
-		{if !empty($PLUGIN_INDEX_CONTENT_BEGIN)}{$PLUGIN_INDEX_CONTENT_BEGIN}{/if}
-		
-		{if !empty($category_search_results) }
-		<div style="font-size:16px;text-align:left;margin:10px">{'Category results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
-		  <em><strong>
-		  {foreach from=$category_search_results item=res name=res_loop}
-		  {if !$smarty.foreach.res_loop.first} &mdash; {/if}
-		  {$res}
-		  {/foreach}
-		  </strong></em>
-		</div>
-		{/if}
-		
-		{if !empty($tag_search_results) }
-		<div style="font-size:16px;text-align:left;margin:10px">{'Tag results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
-		  <em><strong>
-		  {foreach from=$tag_search_results item=res name=res_loop}
-		  {if !$smarty.foreach.res_loop.first} &mdash; {/if}
-		  {$res}
-		  {/foreach}
-		  </strong></em>
-		</div>
-		{/if}
-		
-		{if isset($FILE_CHRONOLOGY_VIEW) }
-		{include file=$FILE_CHRONOLOGY_VIEW}
-		{/if}
-		
-		{if !empty($CATEGORIES) }{$CATEGORIES}{/if}
-		{if !empty($THUMBNAILS) }{$THUMBNAILS}{/if}
-		
-		
-		{if !empty($NAV_BAR) }
-		<div class="navigationBar">
-		  {$NAV_BAR}
-		</div>
-		{/if}
-		
-		{if !empty($CONTENT_DESCRIPTION) }
-		<div class="additional_info">
-		  {$CONTENT_DESCRIPTION}
-		</div>
-		{/if}
-		
-		{if !empty($PLUGIN_INDEX_CONTENT_END) }{$PLUGIN_INDEX_CONTENT_END}{/if}
-      </td>
+  <div class="titrePage">
+    <ul class="categoryActions">
+      {if !empty($image_orders) }
+      <li>
+      {'Sort order'|@translate}:
+      <select onchange="document.location = this.options[this.selectedIndex].value;">
+        {foreach from=$image_orders item=image_order }
+        <option value="{$image_order.URL}"{if $image_order.SELECTED} selected="selected"{/if}>{$image_order.DISPLAY}</option>
+        {/foreach}
+      </select>
+      </li>
+      {/if}
+
+      {if isset($U_CADDIE) }
+      <li><a href="{$U_CADDIE}" title="{'add to caddie'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/caddie_add.png" class="button" alt="{'caddie'|@translate}"/></a></li>
+      {/if}
+
+      {if isset($U_EDIT) }
+      <li><a href="{$U_EDIT}" title="{'edit category informations'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/category_edit.png" class="button" alt="{'edit'|@translate}"/></a></li>
+      {/if}
+
+      {if isset($U_SEARCH_RULES) }
+      <li><a href="{$U_SEARCH_RULES}" onclick="popuphelp(this.href); return false;" title="{'Search rules'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/search_rules.png" class="button" alt="(?)" /></a></li>
+      {/if}
+
+      {if isset($U_SLIDESHOW) }
+      <li><a href="{$U_SLIDESHOW}" title="{'slideshow'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/start_slideshow.png" class="button" alt="{'slideshow'|@translate}"/></a></li>
+      {/if}
+
+      {if isset($U_MODE_FLAT) }
+      <li><a href="{$U_MODE_FLAT}" title="{'mode_flat_hint'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/flat.png" class="button" alt="{'mode_flat_hint'|@translate}" /></a></li>
+      {/if}
+
+      {if isset($U_MODE_NORMAL) }
+      <li><a href="{$U_MODE_NORMAL}" title="{'mode_normal_hint'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/normal_mode.png" class="button" alt="{'mode_normal_hint'|@translate}" /></a></li>
+      {/if}
+
+      {if isset($U_MODE_POSTED) }
+      <li><a href="{$U_MODE_POSTED}" title="{'mode_posted_hint'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/calendar.png" class="button" alt="{'mode_posted_hint'|@translate}" /></a></li>
+      {/if}
+      
+      {if isset($U_MODE_CREATED) }
+      <li><a href="{$U_MODE_CREATED}" title="{'mode_created_hint'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/calendar_created.png" class="button" alt="{'mode_created_hint'|@translate}" /></a></li>
+      {/if}
+      
+      {if !empty($PLUGIN_INDEX_ACTIONS)}{$PLUGIN_INDEX_ACTIONS}{/if}
+    </ul>
+
+  <h2>{$TITLE}</h2>
+
+  {if isset($chronology_views) }
+  <div class="calendarViews">{'calendar_view'|@translate}:
+    <select onchange="document.location = this.options[this.selectedIndex].value;">
+      {foreach from=$chronology_views item=view}
+      <option value="{$view.VALUE}"{if $view.SELECTED} selected="selected"{/if}>{$view.CONTENT}</option>
+      {/foreach}
+    </select>
+  </div>
+  {/if}
+
+  {if isset($chronology.TITLE) }
+  <h2>{$chronology.TITLE}</h2>
+  {/if}
+
+  </div> <!-- titrePage -->
+
+{if !empty($PLUGIN_INDEX_CONTENT_BEGIN)}{$PLUGIN_INDEX_CONTENT_BEGIN}{/if}
+
+{if !empty($category_search_results) }
+<div style="font-size:16px;margin:10px 16px">{'Category results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
+  <em><strong>
+  {foreach from=$category_search_results item=res name=res_loop}
+  {if !$smarty.foreach.res_loop.first} &mdash; {/if}
+  {$res}
+  {/foreach}
+  </strong></em>
+</div>
+{/if}
+
+{if !empty($tag_search_results) }
+<div style="font-size:16px;margin:10px 16px">{'Tag results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
+  <em><strong>
+  {foreach from=$tag_search_results item=res name=res_loop}
+  {if !$smarty.foreach.res_loop.first} &mdash; {/if}
+  {$res}
+  {/foreach}
+  </strong></em>
+</div>
+{/if}
+
+{if isset($FILE_CHRONOLOGY_VIEW) }
+{include file=$FILE_CHRONOLOGY_VIEW}
+{/if}
+
+{if !empty($CATEGORIES) }{$CATEGORIES}{/if}
+{if !empty($THUMBNAILS) }{$THUMBNAILS}{/if}
+
+
+{if !empty($NAV_BAR) }
+<div class="navigationBar">
+  {$NAV_BAR}
+</div>
+{/if}
+
+{if !empty($CONTENT_DESCRIPTION) }
+<div class="additional_info">
+  {$CONTENT_DESCRIPTION}
+</div>
+{/if}
+
+{if !empty($PLUGIN_INDEX_CONTENT_END) }{$PLUGIN_INDEX_CONTENT_END}{/if}
+</td>
 	  <td id="section_right">&nbsp;</td>
     </tr>
Index: /extensions/floPure/layout.css
===================================================================
--- /extensions/floPure/layout.css	(revision 3473)
+++ /extensions/floPure/layout.css	(revision 3474)
@@ -14,2 +14,3 @@
 @import "../../template-common/local-layout.css";
 
+@import "default-colors.css";
Index: /extensions/floPure/mainpage_categories.tpl
===================================================================
--- /extensions/floPure/mainpage_categories.tpl	(revision 3473)
+++ /extensions/floPure/mainpage_categories.tpl	(revision 3474)
@@ -7,5 +7,5 @@
       <div class="illustration">
         <a href="{$cat.URL}">
-          <img src="{$cat.TN_SRC}" alt="{$cat.ALT}" title="{'hint_category'|@translate}">
+          <img src="{$cat.TN_SRC}" alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '} - {'hint_category'|@translate}">
         </a>
       </div>
@@ -13,6 +13,7 @@
         <h3>
           <a href="{$cat.URL}">{$cat.NAME|truncate:30:" [...]"}</a>
-          {$cat.ICON}
+          {$cat.ICON_TS}
         </h3>
+		<div class="text">
         {if isset($cat.INFO_DATES) }
         <p>{$cat.INFO_DATES}</p>
@@ -20,4 +21,5 @@
         <p>{$cat.CAPTION_NB_IMAGES}</p>
         <p class="cat_description">{$cat.DESCRIPTION}</p>
+		</div>
       </div>
     </div>
@@ -25,3 +27,2 @@
   {/foreach}
 </ul>
-
Index: /extensions/floPure/menubar.css
===================================================================
--- /extensions/floPure/menubar.css	(revision 3473)
+++ /extensions/floPure/menubar.css	(revision 3474)
@@ -4,5 +4,4 @@
 	padding: 0;
 	display: inline;
-	text-align: left; /* follow-up of the "be nice to IE5" rule */
 }
 
@@ -12,5 +11,5 @@
 
 #menubar .button {
-	margin: 0 2px;
+	margin: -2px 2px 2px;
 	width: auto;
 	padding: 0;
@@ -31,10 +30,8 @@
 
 #menubar UL,
-#menubar HR,
 #menubar FORM,
-#menubar P, /* ooh, careful... */
-#menubar .totalImages {
+#menubar P {
 	font-size: 92%;
-	margin: 10px 0 10px 10px;
+	margin: 10px 0 10px 5px;
 }
 #menubar UL {
@@ -61,10 +58,10 @@
   font-style: italic;
 }
-
+/*
 #menubar HR {
 	display: block;
 	margin: 10px auto;
 	width: 90%;
-}
+}*/
 #menubar INPUT {
 	text-indent: 2px;
@@ -73,66 +70,17 @@
 /* quickconnect form */
 FORM#quickconnect {
-	margin: 0;
-	padding: 5px;
+	margin: 5px;
+	padding: 0;
 }
 
 FORM#quickconnect FIELDSET {
 	margin: 0;
-	padding: 0 0 0.5em 0;
+	padding: 0; /*IE6 requires padding 0*/
 }
 
-FORM#quickconnect P {
-	margin-left: 0;
-	font-size: 100%;
-	float: left;
-	clear: left;
+FORM#quickconnect FIELDSET DIV {
+	margin: 8px 5px;
+	padding: 0;
 }
-
-FORM#quickconnect P INPUT {
-	margin: 0;
-}
-
-FORM#quickconnect UL.actions {
-	display: inline;
-	float: right;
-	padding: 0;
-	text-align: right;	/* Opera 7.5 */
-}
-FORM#quickconnect FIELDSET>UL.actions {
-	width: 40%;		/* Opera 7.5 cannot find why width:auto fails :-( */
-}
-
-FORM#quickconnect UL.actions,
-FORM#quickconnect P,
-FORM#quickconnect LABEL {
-	padding: 0 0.5em 0 0.5em;
-}
-
-FORM#quickconnect LABEL {
-	margin:0;
-	width: 100%;
-	box-sizing: border-box; /* CSS3 */
-}
-
-FORM#quickconnect INPUT[type=text],
-FORM#quickconnect INPUT[type=password] {
-	width: 100%;	/* mozilla can handle 100% */
-}
-/* same as above for IE with inputfix.htc
-unfortunately IE doesn't handle that correctly
- so you should set a width in em in local_layout.css */
-/*FORM#quickconnect INPUT.text,
-FORM#quickconnect INPUT.password {
-  width: 95%;
-}*/
-
-FORM#quicksearch {
-	margin-top: 4px;
-	margin-bottom: 1px;
-}
-INPUT#qsearchInput {
-	width: 90%;
-}
-#menubar #mbMenu p { margin: 0px; padding: 0px; }
 
 #menubar #menuTagCloud {
@@ -141,7 +89,5 @@
 }
 
-#menubar #menuTagCloud LI
-{
-	display: inline;
-	white-space: nowrap;	/* No line break in the LI but Opera set nowrap to */
+#menubar #menuTagCloud SPAN {
+	white-space: nowrap;
 }
Index: /extensions/floPure/menubar_identification.tpl
===================================================================
--- /extensions/floPure/menubar_identification.tpl	(revision 3473)
+++ /extensions/floPure/menubar_identification.tpl	(revision 3474)
@@ -41,12 +41,13 @@
 	</div>
 
-	{if $AUTHORIZE_REMEMBERING}
-	<div><label>
+{if $AUTHORIZE_REMEMBERING}
+	<div><label for="remember_me">
 	{'remember_me'|@translate}
-	<input type="checkbox" name="remember_me" value="1">
+	<input type="checkbox" name="remember_me" id="remember_me" value="1">
 	</label></div>
 	{/if}
 
 	<div>
+	<input class="submit" type="submit" name="login" value="{'Submit'|@translate}">
 	<ul class="actions">
 		<li><a href="{$U_LOST_PASSWORD}" title="{'Forgot your password?'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/lost_password.png" class="button" alt="{'Forgot your password?'|@translate}"></a></li>
@@ -55,5 +56,4 @@
 		{/if}
 	</ul>
-	<input class="submit" type="submit" name="login" value="{'Submit'|@translate}">
 	</div>
 
@@ -62,3 +62,2 @@
 	{/if}
 </dd>
-
Index: /extensions/floPure/menubar_links.tpl
===================================================================
--- /extensions/floPure/menubar_links.tpl	(revision 3473)
+++ /extensions/floPure/menubar_links.tpl	(revision 3474)
@@ -1,9 +1,9 @@
-<dt>{$block->get_title()|@translate}</dt>
+<dt>{'Links'|@translate}</dt>
 <dd>
 	<ul>
 		{foreach from=$block->data item=link}
 			<li>
-				<a href="{$link.URL}"
-					{if isset($link.new_window) }onclick="window.open(this.href, '{$link.new_window.NAME|@escape:'javascript'}','{$link.new_window.FEATURES|@escape:'javascript'}'); return false;"{/if}
+				<a href="{$link.URL}" class="external" 
+					{if isset($link.new_window) } onclick="window.open(this.href, '{$link.new_window.NAME}','{$link.new_window.FEATURES}'); return false;"{/if}
 				>
 				{$link.LABEL}
Index: /extensions/floPure/menubar_menu.tpl
===================================================================
--- /extensions/floPure/menubar_menu.tpl	(revision 3473)
+++ /extensions/floPure/menubar_menu.tpl	(revision 3474)
@@ -1,10 +1,12 @@
-<dt>{$block->get_title()|@translate}</dt>
+<dt>{'title_menu'|@translate}</dt>
 <dd>
-	<form action="{$ROOT_URL}qsearch.php" method="get" id="quicksearch">
-		<p style="margin:0;padding:0"{*this <p> is for html validation only - does not affect positioning*}>
-			<input type="text" name="q" id="qsearchInput" onfocus="if (value==qsearch_prompt) value='';" onblur="if (value=='') value=qsearch_prompt;" style="width:90%"/>
-		</p>
-	</form>
-	<script type="text/javascript">var qsearch_prompt="{'qsearch'|@translate|@escape:'javascript'}"; document.getElementById('qsearchInput').value=qsearch_prompt;</script>
+  {if isset($block->data.qsearch) and  $block->data.qsearch==true}
+    <form action="{$ROOT_URL}qsearch.php" method="get" id="quicksearch" onsubmit="return this.q.value!='' && this.q.value!=qsearch_prompt;">
+      <p style="margin:0;padding:0"{*this <p> is for html validation only - does not affect positioning*}>
+        <input type="text" name="q" id="qsearchInput" onfocus="if (value==qsearch_prompt) value='';" onblur="if (value=='') value=qsearch_prompt;" style="width:90%"/>
+      </p>
+    </form>
+    <script type="text/javascript">var qsearch_prompt="{'qsearch'|@translate|@escape:'javascript'}"; document.getElementById('qsearchInput').value=qsearch_prompt;</script>
+  {/if}
 
 	<ul>
Index: /extensions/floPure/menubar_specials.tpl
===================================================================
--- /extensions/floPure/menubar_specials.tpl	(revision 3473)
+++ /extensions/floPure/menubar_specials.tpl	(revision 3474)
@@ -1,3 +1,3 @@
-<dt>{$block->get_title()|@translate}</dt>
+<dt>{'special_categories'|@translate}</dt>
 <dd>
 	<ul>
Index: /extensions/floPure/menubar_tags.tpl
===================================================================
--- /extensions/floPure/menubar_tags.tpl	(revision 3473)
+++ /extensions/floPure/menubar_tags.tpl	(revision 3474)
@@ -1,18 +1,18 @@
-<dt>{$block->get_title()|@translate}</dt>
+<dt>{'Related tags'|@translate}</dt>
 <dd>
-	<ul id="menuTagCloud">
+	<div id="menuTagCloud">
 		{foreach from=$block->data item=tag}
-		<li>
+		<span>
 			{if !empty($tag.U_ADD) }
-				<a href="{$tag.U_ADD}"
-					title="{$pwg->l10n_dec('%d element are also linked to current tags', '%d elements are also linked to current tags', $tag.counter)}"
-					rel="nofollow">
-					<img src="{$ROOT_URL}{$themeconf.icon_dir}/add_tag.png" alt="+" />
-				</a>
+			<a href="{$tag.U_ADD}"
+				title="{$pwg->l10n_dec('%d element are also linked to current tags', '%d elements are also linked to current tags', $tag.counter)}"
+				rel="nofollow">
+				<img src="{$ROOT_URL}{$themeconf.icon_dir}/add_tag.png" alt="+" />
+			</a>
 			{/if}
 			<a href="{$tag.URL}" class="tagLevel{$tag.level}" title="{'See elements linked to this tag only'|@translate}">{$tag.name}</a>
-			</li>
+		</span>
 		{/foreach}
-	</ul>
+	</div>
 </dd>
 
Index: /extensions/floPure/notification.tpl
===================================================================
--- /extensions/floPure/notification.tpl	(revision 3473)
+++ /extensions/floPure/notification.tpl	(revision 3474)
@@ -1,3 +1,6 @@
-{* $Id: notification.tpl 2352 2008-05-20 00:27:26Z patdenice $ *}
+{html_head}
+<link rel="alternate" type="application/rss+xml" title="{'Image only RSS feed'|@translate}" href="{$U_FEED_IMAGE_ONLY}">
+<link rel="alternate" type="application/rss+xml" title="{'Complete RSS feed'|@translate}" href="{$U_FEED}">
+{/html_head}
 <div id="content" class="content">
 
@@ -8,9 +11,14 @@
     <h2>{'Notification'|@translate}</h2>
   </div>
-  <div id="autre_content">
+
   <p>{'The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'|@translate}</p>
 
-  <p><a href="{$U_FEED_IMAGE_ONLY}">{'Image only RSS feed'|@translate}</a></p>
-  <p><a href="{$U_FEED}">{'Complete RSS feed'|@translate}</a></p>
-  </div>
+  <dl>
+    <dt>
+      <a href="{$U_FEED_IMAGE_ONLY}">{'Image only RSS feed'|@translate}</a><br /><br />
+    </dt>
+    <dt>
+      <a href="{$U_FEED}">{'Complete RSS feed'|@translate}</a>
+    </dt>
+  </dl>
 </div>
Index: /extensions/floPure/picture.tpl
===================================================================
--- /extensions/floPure/picture.tpl	(revision 3473)
+++ /extensions/floPure/picture.tpl	(revision 3474)
@@ -1,3 +1,7 @@
-{* $Id: picture.tpl 2435 2008-07-15 01:29:23Z rvelices $ *}
+{* Example of resizeable *}
+{*
+{include file='include/autosize.inc.tpl'}
+*}
+
 {if isset($errors)}
 <div class="errors">
@@ -19,4 +23,5 @@
 </div>
 {/if}
+{if !empty($PLUGIN_PICTURE_BEFORE)}{$PLUGIN_PICTURE_BEFORE}{/if}
 
 <div id="imageHeaderBar">
@@ -32,5 +37,4 @@
 </div>
 
-{if !empty($PLUGIN_PICTURE_BEFORE)}{$PLUGIN_PICTURE_BEFORE}{/if}
 <div id="imageToolBar">
   <div class="randomButtons">
Index: /extensions/floPure/picture_content.tpl
===================================================================
--- /extensions/floPure/picture_content.tpl	(revision 3473)
+++ /extensions/floPure/picture_content.tpl	(revision 3474)
@@ -3,5 +3,8 @@
 <a href="javascript:phpWGOpenWindow('{$high.U_HIGH}','{$high.UUID}','scrollbars=yes,toolbar=no,status=no,resizable=yes')">
 {/if}
-  <img src="{$SRC_IMG}" style="width:{$WIDTH_IMG}px;height:{$HEIGHT_IMG}px;" alt="{$ALT_IMG}">
+  <img src="{$SRC_IMG}" style="width:{$WIDTH_IMG}px;height:{$HEIGHT_IMG}px;" alt="{$ALT_IMG}" 
+	{if isset($COMMENT_IMG)}
+		title="{$COMMENT_IMG|@strip_tags:false|@replace:'"':' '}" {else} title="{$current.TITLE|@replace:'"':' '} - {$ALT_IMG}"
+	{/if}>
 {if isset($high) }
 </a>
Index: /extensions/floPure/picture_nav_buttons.tpl
===================================================================
--- /extensions/floPure/picture_nav_buttons.tpl	(revision 3473)
+++ /extensions/floPure/picture_nav_buttons.tpl	(revision 3474)
@@ -1,61 +1,61 @@
-{* $Id: picture_nav_buttons.tpl 2270 2008-03-09 07:53:02Z rub $ *}
+{* $Id: picture_nav_buttons.tpl 2700 2008-10-10 13:11:31Z rvelices $ *}
   <div class="navButtons">
   
 {if isset($last)}
-  <a class="navButton prev" href="{$last.U_IMG}" title="{'last_page'|@translate} : {$last.TITLE}" rel="last"><img src="{$ROOT_URL}{$themeconf.icon_dir}/last.png" class="button" alt="{'last_page'|@translate}"></a>
+  <a class="navButton" href="{$last.U_IMG}" title="{'last_page'|@translate} : {$last.TITLE}" rel="last"><img src="{$ROOT_URL}{$themeconf.icon_dir}/last.png" class="button" alt="{'last_page'|@translate}"></a>
 {else}
-  <a class="navButton prev"><img src="{$ROOT_URL}{$themeconf.icon_dir}/last_unactive.png" class="button" alt=""></a>
+  <a class="navButton"><img src="{$ROOT_URL}{$themeconf.icon_dir}/last_unactive.png" class="button" alt=""></a>
 {/if}
   
 {if isset($next)}
-  <a class="navButton next" href="{$next.U_IMG}" title="{'next_page'|@translate} : {$next.TITLE}" rel="next"><img src="{$ROOT_URL}{$themeconf.icon_dir}/right.png" class="button" alt="{'next_page'|@translate}"></a>
+  <a class="navButton" href="{$next.U_IMG}" title="{'next_page'|@translate} : {$next.TITLE}" rel="next"><img src="{$ROOT_URL}{$themeconf.icon_dir}/right.png" class="button" alt="{'next_page'|@translate}"></a>
 {else}
-  <a class="navButton next"><img src="{$ROOT_URL}{$themeconf.icon_dir}/right_unactive.png" class="button" alt=""></a>
+  <a class="navButton"><img src="{$ROOT_URL}{$themeconf.icon_dir}/right_unactive.png" class="button" alt=""></a>
 {/if}
 
 {if isset($slideshow.U_START_PLAY)}
-  <a class="navButton play" href="{$slideshow.U_START_PLAY}" title="{'start_play'|@translate}" rel="play"><img src="{$ROOT_URL}{$themeconf.icon_dir}/play.png" class="button" alt="{'start_play'|@translate}"></a>
+  <a class="navButton" href="{$slideshow.U_START_PLAY}" title="{'start_play'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/play.png" class="button" alt="{'start_play'|@translate}"></a>
 {/if}
 
 {if isset($slideshow.U_STOP_PLAY)}
-  <a class="navButton play" href="{$slideshow.U_STOP_PLAY}" title="{'stop_play'|@translate}" rel="play"><img src="{$ROOT_URL}{$themeconf.icon_dir}/pause.png" class="button" alt="{'stop_play'|@translate}"></a>
+  <a class="navButton" href="{$slideshow.U_STOP_PLAY}" title="{'stop_play'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/pause.png" class="button" alt="{'stop_play'|@translate}"></a>
 {/if}
 
 {if isset($U_UP) and !isset($slideshow)}
-  <a class="navButton up" href="{$U_UP}" title="{'thumbnails'|@translate}" rel="up"><img src="{$ROOT_URL}{$themeconf.icon_dir}/up.png" class="button" alt="{'thumbnails'|@translate}"></a>
+  <a class="navButton" href="{$U_UP}" title="{'thumbnails'|@translate}" rel="up"><img src="{$ROOT_URL}{$themeconf.icon_dir}/up.png" class="button" alt="{'thumbnails'|@translate}"></a>
 {/if}
   
 {if isset($previous)}
-  <a class="navButton prev" href="{$previous.U_IMG}" title="{'previous_page'|@translate} : {$previous.TITLE}" rel="prev"><img src="{$ROOT_URL}{$themeconf.icon_dir}/left.png" class="button" alt="{'previous_page'|@translate}"></a>
+  <a class="navButton" href="{$previous.U_IMG}" title="{'previous_page'|@translate} : {$previous.TITLE}" rel="prev"><img src="{$ROOT_URL}{$themeconf.icon_dir}/left.png" class="button" alt="{'previous_page'|@translate}"></a>
 {else}
-  <a class="navButton prev"><img src="{$ROOT_URL}{$themeconf.icon_dir}/left_unactive.png" class="button" alt=""></a>
+  <a class="navButton"><img src="{$ROOT_URL}{$themeconf.icon_dir}/left_unactive.png" class="button" alt=""></a>
 {/if}
   
 {if isset($first)}
-  <a class="navButton prev" href="{$first.U_IMG}" title="{'first_page'|@translate} : {$first.TITLE}" rel="first"><img src="{$ROOT_URL}{$themeconf.icon_dir}/first.png" class="button" alt="{'first_page'|@translate}"></a>
+  <a class="navButton" href="{$first.U_IMG}" title="{'first_page'|@translate} : {$first.TITLE}" rel="first"><img src="{$ROOT_URL}{$themeconf.icon_dir}/first.png" class="button" alt="{'first_page'|@translate}"></a>
 {else}
-  <a class="navButton prev"><img src="{$ROOT_URL}{$themeconf.icon_dir}/first_unactive.png" class="button" alt=""></a>
+  <a class="navButton"><img src="{$ROOT_URL}{$themeconf.icon_dir}/first_unactive.png" class="button" alt=""></a>
 {/if}
 
 
 {if isset($slideshow.U_START_REPEAT)}
-  <a class="navButton repeat" href="{$slideshow.U_START_REPEAT}" title="{'start_repeat'|@translate}" rel="repeat"><img src="{$ROOT_URL}{$themeconf.icon_dir}/start_repeat.png" class="button" alt="{'start_repeat'|@translate}"></a>
+  <a class="navButton" href="{$slideshow.U_START_REPEAT}" title="{'start_repeat'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/start_repeat.png" class="button" alt="{'start_repeat'|@translate}"></a>
 {/if}
 
 {if isset($slideshow.U_STOP_REPEAT)}
-  <a class="navButton repeat" href="{$slideshow.U_STOP_REPEAT}" title="{'stop_repeat'|@translate}" rel="repeat"><img src="{$ROOT_URL}{$themeconf.icon_dir}/stop_repeat.png" class="button" alt="{'stop_repeat'|@translate}"></a>
+  <a class="navButton" href="{$slideshow.U_STOP_REPEAT}" title="{'stop_repeat'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/stop_repeat.png" class="button" alt="{'stop_repeat'|@translate}"></a>
 {/if}
 
 {if isset($slideshow)}
   {if isset($slideshow.U_DEC_PERIOD)}
-    <a class="navButton dec_period" href="{$slideshow.U_DEC_PERIOD}" title="{'dec_period'|@translate}" rel="repeat"><img src="{$ROOT_URL}{$themeconf.icon_dir}/dec_period.png" class="button" alt="{'dec_period'|@translate}"></a>
+    <a class="navButton" href="{$slideshow.U_DEC_PERIOD}" title="{'dec_period'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/dec_period.png" class="button" alt="{'dec_period'|@translate}"></a>
   {else}
-    <a class="navButton dec_period"> <img src="{$ROOT_URL}{$themeconf.icon_dir}/dec_period_unactive.png" class="button" alt=""></a>
+    <a class="navButton"> <img src="{$ROOT_URL}{$themeconf.icon_dir}/dec_period_unactive.png" class="button" alt=""></a>
   {/if}
 
   {if isset($slideshow.U_INC_PERIOD)}
-    <a class="navButton inc_period" href="{$slideshow.U_INC_PERIOD}" title="{'inc_period'|@translate}" rel="repeat"><img src="{$ROOT_URL}{$themeconf.icon_dir}/inc_period.png" class="button" alt="{'inc_period'|@translate}"></a>
+    <a class="navButton" href="{$slideshow.U_INC_PERIOD}" title="{'inc_period'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/inc_period.png" class="button" alt="{'inc_period'|@translate}"></a>
   {else}
-    <a class="navButton inc_period"> <img src="{$ROOT_URL}{$themeconf.icon_dir}/inc_period_unactive.png" class="button" alt=""></a>
+    <a class="navButton"> <img src="{$ROOT_URL}{$themeconf.icon_dir}/inc_period_unactive.png" class="button" alt=""></a>
   {/if}
 {/if}
@@ -63,41 +63,41 @@
   </div>
 
-<script type="text/javascript">
+<script type="text/javascript">// <![CDATA[
 {literal}
 function keyboardNavigation(e)
 {
-  if(!e) var e=window.event;
-  if (e.altKey) return true;
-  var target = e.target || e.srcElement;
-  if (target && target.type) return true; //an input editable element
-  var keyCode=e.keyCode || e.which;
-  var docElem = document.documentElement;
-  switch(keyCode) {
+	if(!e) e=window.event;
+	if (e.altKey) return true;
+	var target = e.target || e.srcElement;
+	if (target && target.type) return true; //an input editable element
+	var keyCode=e.keyCode || e.which;
+	var docElem = document.documentElement;
+	switch(keyCode) {
 {/literal}
 {if isset($next)}
-  case 63235: case 39: if (e.ctrlKey || docElem.scrollLeft==docElem.scrollWidth-docElem.clientWidth ){ldelim}window.location="{$next.U_IMG}".replace( "&amp;", "&" ); return false; } break;
+	case 63235: case 39: if (e.ctrlKey || docElem.scrollLeft==docElem.scrollWidth-docElem.clientWidth ){ldelim}window.location="{$next.U_IMG}".replace( "&amp;", "&" ); return false; } break;
 {/if}
 {if isset($previous)}
-  case 63234: case 37: if (e.ctrlKey || docElem.scrollLeft==0){ldelim}window.location="{$previous.U_IMG|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
+	case 63234: case 37: if (e.ctrlKey || docElem.scrollLeft==0){ldelim}window.location="{$previous.U_IMG|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
 {/if}
 {if isset($first)}
-  /*Home*/case 36: if (e.ctrlKey){ldelim}window.location="{$first.U_IMG|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
+	/*Home*/case 36: if (e.ctrlKey){ldelim}window.location="{$first.U_IMG|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
 {/if}
 {if isset($last)}
-  /*End*/case 35: if (e.ctrlKey){ldelim}window.location="{$last.U_IMG|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
+	/*End*/case 35: if (e.ctrlKey){ldelim}window.location="{$last.U_IMG|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
 {/if}
 {if isset($U_UP) and !isset($slideshow)}
-  /*Up*/case 38: if (e.ctrlKey){ldelim}window.location="{$U_UP|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
+	/*Up*/case 38: if (e.ctrlKey){ldelim}window.location="{$U_UP|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
 {/if}
 
 {if isset($slideshow.U_START_PLAY)}
-  /*Pause*/case 32: {ldelim}window.location="{$slideshow.U_START_PLAY|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
+	/*Pause*/case 32: {ldelim}window.location="{$slideshow.U_START_PLAY|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
 {/if}
 {if isset($slideshow.U_STOP_PLAY)}
-  /*Play*/case 32: {ldelim}window.location="{$slideshow.U_STOP_PLAY|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
+	/*Play*/case 32: {ldelim}window.location="{$slideshow.U_STOP_PLAY|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
 {/if}
-  }
-  return true;
+	}
+	return true;
 }
 document.onkeydown=keyboardNavigation;
-</script>
+// ]]></script>
Index: /extensions/floPure/popuphelp.tpl
===================================================================
--- /extensions/floPure/popuphelp.tpl	(revision 3473)
+++ /extensions/floPure/popuphelp.tpl	(revision 3474)
@@ -5,4 +5,10 @@
  <!-- content -->
 </div>
-<p id="pageBottomActions"><a href="#" onclick="window.close();" title="{'Close this window'|@translate}"><img src="{$themeconf.icon_dir}/exit.png" class="button" alt="close"></a></p>
+<ul class="categoryActions">
+	<li>
+		<a href="#" onclick="window.close();" title="{'Close this window'|@translate}">
+			<img src="{$ROOT_URL}{$themeconf.icon_dir}/exit.png" class="button" alt="exit">
+		</a>
+	</li>
+</ul>
 </div>
Index: /extensions/floPure/redirect.tpl
===================================================================
--- /extensions/floPure/redirect.tpl	(revision 3473)
+++ /extensions/floPure/redirect.tpl	(revision 3474)
@@ -1,3 +1,14 @@
-{* $Id: redirect.tpl 2249 2008-03-05 01:50:08Z rvelices $ *}
-<p>{$REDIRECT_MSG}</p>
-<p><a href="{$page_refresh.U_REFRESH}">{'click_to_redirect'|@translate}</a></p>
+{* $Id: redirect.tpl 2521 2008-09-12 02:17:35Z rvelices $ *}
+{html_head}
+<style type="text/css">#the_page {ldelim}text-align:center;} </style>
+{/html_head}
+
+<div>
+	{$REDIRECT_MSG}
+</div>
+
+<p style="margin: 2em">
+	<a href="{$page_refresh.U_REFRESH}">
+		{'click_to_redirect'|@translate}
+	</a>
+</p>
Index: /extensions/floPure/search.tpl
===================================================================
--- /extensions/floPure/search.tpl	(revision 3473)
+++ /extensions/floPure/search.tpl	(revision 3474)
@@ -1,3 +1,21 @@
-{* $Id: search.tpl 2352 2008-05-20 00:27:26Z patdenice $ *}
+
+{* Example of resizeable *}
+{*
+{include file='include/resize.inc.tpl'}
+*}
+
+{* Example of datepicker *}
+{*
+{include file='include/datepicker.inc.tpl'}
+
+{literal}
+<script type="text/javascript">
+  pwg_initialization_datepicker("#start_day", "#start_month", "#start_year", "#start_linked_date", null, null, "#end_linked_date");
+  pwg_initialization_datepicker("#end_day", "#end_month", "#end_year", "#end_linked_date", null, "#start_linked_date", null);
+ jQuery().ready(function(){ $(".date_today").hide(); });
+</script>
+{/literal}
+*}
+
 <div id="content" class="content">
 
@@ -48,4 +66,5 @@
 {/if}
 
+
 <fieldset>
   <legend>{'search_date'|@translate}</legend>
@@ -62,5 +81,5 @@
     <li><label>{'search_date_from'|@translate}</label></li>
     <li>
-      <select name="start_day">
+      <select id="start_day" name="start_day">
           <option value="0">--</option>
         {section name=day start=1 loop=32}
@@ -68,11 +87,12 @@
         {/section}
       </select>
-      <select name="start_month">
+      <select id="start_month" name="start_month">
         {html_options options=$month_list selected=$START_MONTH_SELECTED}
       </select>
-      <input name="start_year" type="text" size="4" maxlength="4" >
+      <input id="start_year" name="start_year" type="text" size="4" maxlength="4" >
+      <input id="start_linked_date" name="start_linked_date" type="hidden" size="10" disabled="disabled"/>
     </li>
     <li>
-      <a href="#" onClick="document.search.start_day.value={$smarty.now|date_format:"%d"};document.search.start_month.value={$smarty.now|date_format:"%m"};document.search.start_year.value={$smarty.now|date_format:"%Y"};return false;">{'today'|@translate}</a>
+      <a class="date_today" href="#" onClick="document.search.start_day.value={$smarty.now|date_format:"%d"};document.search.start_month.value={$smarty.now|date_format:"%m"};document.search.start_year.value={$smarty.now|date_format:"%Y"};return false;">{'today'|@translate}</a>
     </li>
   </ul>
@@ -80,5 +100,5 @@
     <li><label>{'search_date_to'|@translate}</label></li>
     <li>
-      <select name="end_day">
+      <select id="end_day" name="end_day">
           <option value="0">--</option>
         {section name=day start=1 loop=32}
@@ -86,11 +106,12 @@
         {/section}
       </select>
-      <select name="end_month">
+      <select id="end_month" name="end_month">
         {html_options options=$month_list selected=$END_MONTH_SELECTED}
       </select>
-      <input name="end_year" type="text" size="4" maxlength="4" >
+      <input id="end_year" name="end_year" type="text" size="4" maxlength="4" >
+      <input id="end_linked_date" name="end_linked_date" type="hidden" size="10" disabled="disabled"/>
     </li>
     <li>
-      <a href="#" onClick="document.search.end_day.value={$smarty.now|date_format:"%d"};document.search.end_month.value={$smarty.now|date_format:"%m"};document.search.end_year.value={$smarty.now|date_format:"%Y"};return false;">{'today'|@translate}</a>
+      <a class="date_today" href="#" onClick="document.search.end_day.value={$smarty.now|date_format:"%d"};document.search.end_month.value={$smarty.now|date_format:"%m"};document.search.end_year.value={$smarty.now|date_format:"%Y"};return false;">{'today'|@translate}</a>
     </li>
   </ul>
Index: /extensions/floPure/search_rules.tpl
===================================================================
--- /extensions/floPure/search_rules.tpl	(revision 3473)
+++ /extensions/floPure/search_rules.tpl	(revision 3474)
@@ -50,7 +50,9 @@
 </div> <!-- content -->
 
-<p id="pageBottomActions">
-  <a href="#" onclick="window.close();" title="{'Close this window'|@translate}">
-    <img src="{$themeconf.icon_dir}/exit.png" class="button" alt="close">
-  </a>
-</p>
+<ul class="categoryActions">
+	<li>
+		<a href="#" onclick="window.close();" title="{'Close this window'|@translate}">
+			<img src="{$ROOT_URL}{$themeconf.icon_dir}/exit.png" class="button" alt="exit">
+		</a>
+	</li>
+</ul>
Index: /extensions/floPure/tags.tpl
===================================================================
--- /extensions/floPure/tags.tpl	(revision 3473)
+++ /extensions/floPure/tags.tpl	(revision 3474)
@@ -1,56 +1,44 @@
 {* $Id: tags.tpl 2409 2008-07-01 02:09:21Z rvelices $ *}
 <div id="content" class="content">
-
   <div class="titrePage">
     <ul class="categoryActions">
-{if $display_mode == 'letters'}
+      {if $display_mode == 'letters'}
       <li><a href="{$U_CLOUD}" title="{'show tag cloud'|@translate}"><img src="{$themeconf.icon_dir}/tag_cloud.png" class="button" alt="{'cloud'|@translate}"/></a></li>
-{/if}
-
-{if $display_mode == 'cloud'}
+      {/if}
+      
+      {if $display_mode == 'cloud'}
       <li><a href="{$U_LETTERS}" title="{'group by letters'|@translate}"><img src="{$themeconf.icon_dir}/tag_letters.png" class="button" alt="{'letters'|@translate}"/></a></li>
-{/if}
-
+      {/if}
       <li><a href="{$U_HOME}" title="{'return to homepage'|@translate}"><img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}"/></a></li>
     </ul>
     <h2>{'Tags'|@translate}</h2>
   </div>
-<div id="autre_content">
-
-{if isset($tags)}
-  {if $display_mode == 'cloud'}
-  <ul id="fullTagCloud">
-    {foreach from=$tags item=tag}
-    <li><a href="{$tag.URL}" class="tagLevel{$tag.level}" title="{$tag.counter}">{$tag.name}</a></li>
-    {/foreach}
-  </ul>
-  {/if}
-
-  {if $display_mode == 'letters'}
-  <table>
-    <tr>
-      <td valign="top">
-    {foreach from=$letters item=letter}
-  <fieldset class="tagLetter">
-    <legend class="tagLetterLegend">{$letter.TITLE}</legend>
-    <table class="tagLetterContent">
-      {foreach from=$letter.tags item=tag}
-      <tr class="tagLine">
-        <td><a href="{$tag.URL}">{$tag.name}</a></td>
-        <td class="nbEntries">{$pwg->l10n_dec('%d element', '%d elements', $tag.counter)}</td>
+  <div id="autre_content"> {if isset($tags)}
+    {if $display_mode == 'cloud'}
+    <div id="fullTagCloud"> {foreach from=$tags item=tag} <span><a href="{$tag.URL}" class="tagLevel{$tag.level}" title="{$tag.counter}">{$tag.name}</a></span> {/foreach} </div>
+    {/if}
+    
+    {if $display_mode == 'letters'}
+    <table>
+      <tr>
+        <td valign="top"> {foreach from=$letters item=letter}
+          <fieldset class="tagLetter">
+          <legend class="tagLetterLegend">{$letter.TITLE}</legend>
+          <table class="tagLetterContent">
+            {foreach from=$letter.tags item=tag}
+            <tr class="tagLine">
+              <td><a href="{$tag.URL}">{$tag.name}</a></td>
+              <td class="nbEntries">{$pwg->l10n_dec('%d element', '%d elements', $tag.counter)}</td>
+            </tr>
+            {/foreach}
+          </table>
+          </fieldset>
+          {if $letter.CHANGE_COLUMN} </td>
+        <td valign="top"> {/if}
+          {/foreach} </td>
       </tr>
-      {/foreach}
     </table>
-  </fieldset>
-      {if $letter.CHANGE_COLUMN|@default:false}
-      </td>
-      <td valign="top">
-      {/if}
-    {/foreach}
-      </td>
-    </tr>
-  </table>
-  {/if}
-{/if}
+    {/if}
+    {/if} </div>
 </div>
-</div> <!-- content -->
+<!-- content -->
Index: /extensions/floPure/thumbnails.css
===================================================================
--- /extensions/floPure/thumbnails.css	(revision 3473)
+++ /extensions/floPure/thumbnails.css	(revision 3474)
@@ -47,5 +47,5 @@
 }
 :root .content UL.thumbnails INPUT { /* hide from Opera */
-  position: absolute;	/* <= Opera hide 1 checkbox over 2 !!! */
+  /*position: absolute;	 <= Opera hide 1 checkbox over 2 !!! */
   left: 2px;
   top: 2px;
Index: /extensions/floPure/thumbnails.tpl
===================================================================
--- /extensions/floPure/thumbnails.tpl	(revision 3473)
+++ /extensions/floPure/thumbnails.tpl	(revision 3474)
@@ -12,5 +12,5 @@
 		</span>
 		<span class="thumbLegend">
-		{$thumbnail.NAME|@default}
+		{if isset($thumbnail.NAME)}{$thumbnail.NAME}{/if}
 		{$thumbnail.ICON_TS}
 		{if isset($thumbnail.NB_COMMENTS)}
Index: /extensions/floPure/upload.tpl
===================================================================
--- /extensions/floPure/upload.tpl	(revision 3473)
+++ /extensions/floPure/upload.tpl	(revision 3474)
@@ -1,3 +1,8 @@
-{* $Id: upload.tpl 2352 2008-05-20 00:27:26Z patdenice $ *}
+{* $Id: upload.tpl 2723 2008-10-11 20:38:33Z rub $ *}
+
+{* Example of resizeable *}
+{*
+{include file='include/autosize.inc.tpl'}
+*}
 
 <div id="content" class="content">
@@ -38,5 +43,5 @@
     <tr>
       <td colspan="2" align="center">
-      <input name="picture" type="file" value="" />
+      <input class="file" name="picture" type="file" value="" />
       </td>
     </tr>
@@ -88,5 +93,5 @@
       <td>{'comment'|@translate}</td>
       <td>
-       <textarea name="comment" rows="3" cols="40" style="overflow:auto">{$COMMENT_IMG}</textarea>
+       <textarea name="comment" id="comment" rows="3" cols="40" style="overflow:auto">{$COMMENT_IMG}</textarea>
       </td>
     </tr>
@@ -107,5 +112,5 @@
   
   {if isset($SHOW_FORM_FIELDS) and $SHOW_FORM_FIELDS}
-  <div style="text-align:left;"><span style="color:red;">*</span> : {'mandatory'|@translate}</div>
+  <div style="text-align:left; margin-left:20px;"><span style="color:red;">*</span> : {'mandatory'|@translate}</div>
   {/if}
   </div>
